=== debian/changelog ===
hare (0.24.2-4) unstable; urgency=medium

  [ Guilherme Puida Moreira ]
  * Skip non-native autopkgtests on riscv64.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 27 Mar 2025 20:14:02 +0000

hare (0.24.2-3) unstable; urgency=medium

  [ Guilherme Puida Moreira ]
  * Set up autopkgtest that runs the upstream test suite.
  * Specify architectures for binary package.

  [ Antonio Terceiro ]
  * Add autopkgtest smoke tests for all supported targets.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 09 Mar 2025 18:09:45 +0000

hare (0.24.2-2) unstable; urgency=medium

  [ Miguel Landaeta ]
  * Add B-D on tzdata. (Closes: #1098342)

  [ Tobias Heider & Antonio Terceiro ]
  * Fix build config for arch != x86_64.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 02 Mar 2025 08:20:30 +0000

hare (0.24.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1058645)

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 13 Oct 2024 21:51:09 +0100
