=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export VERSION = $(DEB_VERSION)
export PREFIX = /usr
export SRCDIR = $(PREFIX)/share

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean
	-rm -f ./config.mk

override_dh_auto_configure:
	debian/configure $(DEB_BUILD_GNU_CPU)

override_dh_auto_build:
	dh_auto_build -- VERSION=$(VERSION) SRCDIR=$(SRCDIR) PREFIX=$(PREFIX)

override_dh_auto_install:
	dh_auto_install -- SRCDIR=$(SRCDIR) PREFIX=$(PREFIX)

# disabling dh_dwz as is causing the following lintian error:
# E: hare-dbgsym: stripped-library
# [usr/lib/debug/.dwz/x86_64-linux-gnu/hare.debug]
override_dh_dwz:
