=== debian/tests/control ===
Tests: upstream-tests
Depends: @, tzdata

Tests: amd64
Depends: @, qemu-user [!amd64], binutils-x86-64-linux-gnu
Restrictions: allow-stderr, superficial
Architecture: !riscv64

Tests: arm64
Depends: @, qemu-user [!arm64], binutils-aarch64-linux-gnu
Restrictions: allow-stderr, superficial
Architecture: !riscv64

Tests: riscv64
Depends: @, qemu-user [!riscv64], binutils-riscv64-linux-gnu
Restrictions: allow-stderr, superficial
