## hare 0.25.2

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	-D ARCH:str='"$(ARCH)"' \
 	-D VERSION:str="\"$(VERSION)\"" \
 	-D HAREPATH:str='"$(HAREPATH)"' \
+	-D TOOLDIR:str='"$(TOOLDIR)"' \
 	-D AARCH64_AS:str='"$(AARCH64_AS)"' \
 	-D AARCH64_CC:str='"$(AARCH64_CC)"' \
 	-D AARCH64_LD:str='"$(AARCH64_LD)"' \
@@ -45,14 +46,20 @@
 	@$(LD) $(LDLINKFLAGS) -T $(RTSCRIPT) -o $@ $(OBJS)
 
 HARE_BUILD_ENV = HAREPATH=. HAREC="$(HAREC)" QBE="$(QBE)" AS="$(AS)" \
-	LD="$(LD)" HAREFLAGS="$(HAREFLAGS)" HARECFLAGS="$(HARECFLAGS)" \
-	QBEFLAGS="$(QBEFLAGS)" ASFLAGS="$(ASFLAGS)" LDLINKFLAGS="$(LDLINKFLAGS)"
+	LD="$(LD)" HARECFLAGS="$(HARECFLAGS)" QBEFLAGS="$(QBEFLAGS)" \
+	ASFLAGS="$(ASFLAGS)" LDLINKFLAGS="$(LDLINKFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+$(BINOUT)/hare-install: $(BINOUT)/hare
+	@mkdir -p $(BINOUT)
+	@printf 'HARE\t%s\n' "$@"
+	@env $(HARE_BUILD_ENV) \
+		$(BINOUT)/hare build $(HARE_DEFINES) $(HAREFLAGS) -o $@ ./cmd/hare
 
 $(BINOUT)/haredoc: $(BINOUT)/hare
 	@mkdir -p $(BINOUT)
 	@printf 'HARE\t%s\n' "$@"
-	@env $(HARE_BUILD_ENV) \
-		$(BINOUT)/hare build $(HARE_DEFINES) -o $(BINOUT)/haredoc ./cmd/haredoc
+	@env $(HARE_BUILD_ENV) $(BINOUT)/hare build \
+		$(HARE_DEFINES) $(HAREFLAGS) -o $@ ./cmd/haredoc
 
 docs/html: $(BINOUT)/haredoc
 	mkdir -p docs/html
@@ -72,6 +79,7 @@
 	docs/hare-build.1 \
 	docs/hare-cache.1 \
 	docs/hare-deps.1 \
+	docs/hare-tool.1 \
 	docs/haredoc.1 \
 	docs/hare-run.1 \
 	docs/hare-test.1 \
@@ -95,11 +103,11 @@
 
 install: install-cmd install-mods
 
-install-cmd:
+install-cmd: all $(BINOUT)/hare-install
 	mkdir -p -- \
 		'$(DESTDIR)$(BINDIR)' '$(DESTDIR)$(MANDIR)/man1' \
 		'$(DESTDIR)$(BINDIR)' '$(DESTDIR)$(MANDIR)/man5'
-	install -m755 '$(BINOUT)/hare' '$(DESTDIR)$(BINDIR)/hare'
+	install -m755 '$(BINOUT)/hare-install' '$(DESTDIR)$(BINDIR)/hare'
 	install -m755 '$(BINOUT)/haredoc' '$(DESTDIR)$(BINDIR)/haredoc'
 	for i in $(MAN1); do install -m644 docs/$$i.1 '$(DESTDIR)$(MANDIR)'/man1/$$i.1; done
 	for i in $(MAN5); do install -m644 docs/$$i.5 '$(DESTDIR)$(MANDIR)'/man5/$$i.5; done
@@ -116,5 +124,5 @@
 	for i in $(MAN5); do rm -- '$(DESTDIR)$(MANDIR)'/man5/$$i.5; done
 	rm -r -- '$(DESTDIR)$(STDLIB)'
 
-.PHONY: all $(BINOUT)/haredoc bootstrap clean check docs \
-	docs/html install start uninstall
+.PHONY: all $(BINOUT)/hare-install $(BINOUT)/haredoc bootstrap clean check \
+	docs docs/html install start uninstall
