=== debian/changelog ===
hare (0.25.2-1) unstable; urgency=medium

  * d/control:
    - Move package to the Debian Hare Team.
    - Specify version synchronization between hare and harec.
    - Use my @debian.org mail address.
    - Bump Standards-Version to 4.7.2, no changes needed.
  * d/s/lintian-overrides: Silence version-substvar-for-external-package.
  * d/{control,t/control}: Apply wrap-and-sort -ast.
  * d/{configure,rules}: Move upstream version handling to configure script.

 -- Guilherme Puida Moreira <puida@debian.org>  Thu, 11 Sep 2025 21:20:14 -0300
