=== debian/control ===
Source: hare
Section: devel
Priority: optional
Maintainer: Debian Hare Team <team+pkg-hare@tracker.debian.org>
Uploaders:
 Miguel Landaeta <nomadium@debian.org>,
 Guilherme Puida Moreira <puida@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 harec,
 scdoc <!nodoc>,
 tzdata <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://harelang.org/
Vcs-Browser: https://salsa.debian.org/hare-team/pkg/hare
Vcs-Git: https://salsa.debian.org/hare-team/pkg/hare.git

Package: hare
Architecture: amd64 arm64 riscv64
Depends:
 harec (>> ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple, stable and robust systems programming language
 Hare uses a static type system, manual memory management, and a minimal
 runtime. It is well-suited to writing operating systems, system tools,
 compilers, networking software, and other low-level, high performance tasks.
 .
 This package installs the Hare standard library and build driver.
