=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 	-rm -f ./config.mk
 
 override_dh_auto_configure:
-	debian/configure $(DEB_BUILD_GNU_CPU)
+	debian/configure $(DEB_BUILD_GNU_CPU) $(VERSION)
 
 override_dh_auto_build:
-	dh_auto_build -- VERSION=$(VERSION) SRCDIR=$(SRCDIR) PREFIX=$(PREFIX)
+	dh_auto_build -- SRCDIR=$(SRCDIR) PREFIX=$(PREFIX)
 
 override_dh_auto_install:
 	dh_auto_install -- SRCDIR=$(SRCDIR) PREFIX=$(PREFIX)
