=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 tzdata,
 @,

Tests:
 amd64,
Depends:
 binutils-x86-64-linux-gnu,
 qemu-user [!amd64],
 @,
Restrictions:
 allow-stderr,
 superficial,
Architecture: !riscv64

Tests:
 arm64,
Depends:
 binutils-aarch64-linux-gnu,
 qemu-user [!arm64],
 @,
Restrictions:
 allow-stderr,
 superficial,
Architecture: !riscv64

Tests:
 riscv64,
Depends:
 binutils-riscv64-linux-gnu,
 qemu-user [!riscv64],
 @,
Restrictions:
 allow-stderr,
 superficial,
