## hare 0.26.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include config.mk
 include makefiles/$(PLATFORM).$(ARCH).mk
 
-all: $(BINOUT)/hare $(BINOUT)/haredoc docs
+all: $(BINOUT)/hare-configured $(BINOUT)/haredoc docs
 
 HARE_DEFINES = \
 	-D PLATFORM:str='"$(PLATFORM)"' \
@@ -40,6 +40,7 @@
 	@printf 'SCDOC\t%s\n' '$@'
 	@$(SCDOC) < '$<' > '$@'
 
+# bootstrapped hare(1), without HARE_DEFINES configuration
 $(BINOUT)/hare: $(OBJS)
 	@mkdir -p -- "$(BINOUT)"
 	@printf 'LD\t%s\n' "$@"
@@ -49,7 +50,8 @@
 	LD="$(LD)" HARECFLAGS="$(HARECFLAGS)" QBEFLAGS="$(QBEFLAGS)" \
 	ASFLAGS="$(ASFLAGS)" LDLINKFLAGS="$(LDLINKFLAGS)" LDFLAGS="$(LDFLAGS)"
 
-$(BINOUT)/hare-install: $(BINOUT)/hare
+# hare(1) configured with HARE_DEFINES configuration
+$(BINOUT)/hare-configured: $(BINOUT)/hare
 	@mkdir -p $(BINOUT)
 	@printf 'HARE\t%s\n' "$@"
 	@env $(HARE_BUILD_ENV) \
@@ -86,7 +88,7 @@
 	docs/haredoc.5 \
 	docs/hare-module.5
 
-MAN1 = hare hare-build hare-cache hare-deps haredoc hare-run hare-test
+MAN1 = hare hare-build hare-cache hare-deps haredoc hare-run hare-test hare-tool
 MAN5 = haredoc hare-module
 
 bootstrap:
@@ -103,11 +105,11 @@
 
 install: install-cmd install-mods
 
-install-cmd: all $(BINOUT)/hare-install
+install-cmd: all $(BINOUT)/hare-configured
 	mkdir -p -- \
 		'$(DESTDIR)$(BINDIR)' '$(DESTDIR)$(MANDIR)/man1' \
 		'$(DESTDIR)$(BINDIR)' '$(DESTDIR)$(MANDIR)/man5'
-	install -m755 '$(BINOUT)/hare-install' '$(DESTDIR)$(BINDIR)/hare'
+	install -m755 '$(BINOUT)/hare-configured' '$(DESTDIR)$(BINDIR)/hare'
 	install -m755 '$(BINOUT)/haredoc' '$(DESTDIR)$(BINDIR)/haredoc'
 	for i in $(MAN1); do install -m644 docs/$$i.1 '$(DESTDIR)$(MANDIR)'/man1/$$i.1; done
 	for i in $(MAN5); do install -m644 docs/$$i.5 '$(DESTDIR)$(MANDIR)'/man5/$$i.5; done
@@ -115,7 +117,7 @@
 install-mods:
 	rm -rf -- '$(DESTDIR)$(STDLIB)'
 	mkdir -p -- '$(DESTDIR)$(STDLIB)'
-	cp -R -- $$(scripts/moddirs) '$(DESTDIR)$(STDLIB)'
+	cp -R -- $$(scripts/moddirs) README '$(DESTDIR)$(STDLIB)'
 
 uninstall:
 	rm -- '$(DESTDIR)$(BINDIR)/hare'
@@ -124,5 +126,5 @@
 	for i in $(MAN5); do rm -- '$(DESTDIR)$(MANDIR)'/man5/$$i.5; done
 	rm -r -- '$(DESTDIR)$(STDLIB)'
 
-.PHONY: all $(BINOUT)/hare-install $(BINOUT)/haredoc bootstrap clean check \
+.PHONY: all $(BINOUT)/hare-configured $(BINOUT)/haredoc bootstrap clean check \
 	docs docs/html install start uninstall
