=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: hare
 Section: devel
-Priority: optional
 Maintainer: Debian Hare Team <team+pkg-hare@tracker.debian.org>
 Uploaders:
  Miguel Landaeta <nomadium@debian.org>,
  Guilherme Puida Moreira <puida@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  harec,
  scdoc <!nodoc>,
  tzdata <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://harelang.org/
 Vcs-Browser: https://salsa.debian.org/hare-team/pkg/hare
 Vcs-Git: https://salsa.debian.org/hare-team/pkg/hare.git
