=== debian/watch ===
Version: 5
Source: https://git.sr.ht/~sircmpwn/hare/refs
Matching-Pattern: .*/@SEMANTIC_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: auto
